Bug 134890 - Eggcups does not configure printer unless hotplug event generated while user logged in
Eggcups does not configure printer unless hotplug event generated while user ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On: 132388
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 20:12 EDT by W. Michael Petullo
Modified: 2013-03-13 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-19 22:11:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-10-06 20:12:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
If a USB printer is plugged in while I am running a GNOME session then
I am prompted to choose a driver for the printer.  Once I choose a
driver, cups is configured.

However, if the printer is already plugged in when I start my GNOME
session then I am not prompted for a driver.

Version-Release number of selected component (if applicable):
desktop-printing-0.15.2-2

How reproducible:
Always

Steps to Reproduce:
1.  Ensure that you do not have a GNOME session running.

2.  Plug in a USB printer.

3.  Start a GNOME session.

Actual Results:  The system never prompts for a printer driver choice
or configures the printer.

Expected Results:  The printer should be configured when the user
starts a GNOME session.  The behavior should mimic the scenario when
the user plugs in the printer with a GNOME session already running.

Additional info:
Comment 1 John (J5) Palmieri 2004-10-08 11:27:07 EDT
Can you attach the output of lshal here.  Printers should be
configured when they are plugged in regaurdless if a user session is
running.  The only time this does not happen is when it is your first
time plugging in the printer (it has not been previously configured),
the model is not in the database and you open up your session.  After
you have configured the printer it should be configured until you log
in as another user or wipe your gconf keys.  Try wiping your keys with
this command and try again:

gconftool-2 --recursive-unset /system/printing

As for logging in and then getting a dialog for unconfigured printers
that are already plugged in, I need to fix that.
Comment 2 W. Michael Petullo 2004-10-09 12:37:51 EDT
This is essentially what I have reported:

  As for logging in and then getting a dialog for unconfigured 
  printers that are already plugged in, I need to fix that.

Everything else works great.
Comment 3 John (J5) Palmieri 2004-10-13 11:21:59 EDT
This is done in upstream CVS now.  Colin can you mark this as modified
when you build the package and Michael can you test and close if it
works for you.
Comment 4 John (J5) Palmieri 2004-10-14 16:12:20 EDT
Package is built in rawhide.  Michael can you test?
Comment 5 W. Michael Petullo 2004-10-20 22:09:02 EDT
Bug #132388 is back.  I can't test this until 132388 is resolved.
Comment 6 W. Michael Petullo 2006-03-19 22:11:32 EST
Will reopen if I see this problem again.

Note You need to log in before you can comment on or make changes to this bug.